### Hierarchy

- EventStoreAdapter

## Index

### Constructors

- constructor

### Properties

- mapper
- mapperKeys

### Methods

- convertFSAPayload
- convertValueToType
- extractEventsFromLogs
- getEsEventParamsFromFSA
- getItem
- isPayloadKeySizeSafe
- isPayloadMisleading
- marshal
- setItem
- throwOnAdapterTypeCollision
- throwOnAdapterTypeConversionUndefined
- writeFSA

### Object literals

- eventMap

## Constructors

### constructor

- new EventStoreAdapter(mapper: ITransmuteStoreAdapterMap): EventStoreAdapter

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:70

  #### Parameters

  - ##### mapper: ITransmuteStoreAdapterMap

  #### Returns EventStoreAdapter

## Properties

### mapper

mapper: ITransmuteStoreAdapterMap

- Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:72

### mapperKeys

mapperKeys: string[]

- Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:17

## Methods

### convertFSAPayload

- convertFSAPayload(fsa: IFSA): Promise<object>

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:79

  #### Parameters

  - ##### fsa: IFSA

  #### Returns Promise<object>

### convertValueToType

- convertValueToType(_valueType: any, _value: any): Promise<any>

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:267

  #### Parameters

  - ##### _valueType: any

  - ##### _value: any

  #### Returns Promise<any>

### extractEventsFromLogs

- extractEventsFromLogs(logs: any[]): Promise<any[]>

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:297

  #### Parameters

  - ##### logs: any[]

  #### Returns Promise<any[]>

### getEsEventParamsFromFSA

- getEsEventParamsFromFSA(event: IFSA): Promise<any>

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:93

  #### Parameters

  - ##### event: IFSA

  #### Returns Promise<any>

### getItem

- getItem(adapter: ITransmuteStoreAdapter, db: any, key: string): Promise<any>

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:209

  #### Parameters

  - ##### adapter: ITransmuteStoreAdapter

  - ##### db: any

  - ##### key: string

  #### Returns Promise<any>

### isPayloadKeySizeSafe

- isPayloadKeySizeSafe(keyValue: string, keyType: string): boolean

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:225

  #### Parameters

  - ##### keyValue: string

  - ##### keyType: string

  #### Returns boolean

### isPayloadMisleading

- isPayloadMisleading(event: IFSA): void

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:230

  #### Parameters

  - ##### event: IFSA

  #### Returns void

### marshal

- marshal(_eventType: any, _keyType: any, _valueType: any, _key: any, _value: any): Promise<object>

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:281

  #### Parameters

  - ##### _eventType: any

  - ##### _keyType: any

  - ##### _valueType: any

  - ##### _key: any

  - ##### _value: any

  #### Returns Promise<object>

### setItem

- setItem(adapter: ITransmuteStoreAdapter, db: any, value: any): Promise<string>

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:217

  #### Parameters

  - ##### adapter: ITransmuteStoreAdapter

  - ##### db: any

  - ##### value: any

  #### Returns Promise<string>

### throwOnAdapterTypeCollision

- throwOnAdapterTypeCollision(): void

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:185

  #### Returns void

### throwOnAdapterTypeConversionUndefined

- throwOnAdapterTypeConversionUndefined(): void

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:196

  #### Returns void

### writeFSA

- writeFSA(store: EventStore, fromAddress: string, event: IFSA): Promise<IFSA>

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:142

  #### Parameters

  - ##### store: EventStore

  - ##### fromAddress: string

  - ##### event: IFSA

  #### Returns Promise<IFSA>

## Object literals

### eventMap

eventMap: object

- Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:18

### EsEvent

- EsEvent(args: any): Promise<IFSA>

- - Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:19

  #### Parameters

  - ##### args: any

  #### Returns Promise<IFSA>

Generated using TypeDoc